Summary:	Perl extension for NTLM related computations
Name:		perl-Authen-NTLM
Version:	0.31
Release:	1%{?dist}
License:	GPL or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Authen-NTLM/
Source0:	http://search.cpan.org/CPAN/authors/id/U/UM/UMVUE/Authen-NTLM-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch
BuildRequires:	perl(Crypt::DES) >= 2.03, perl(Digest::MD4) >= 1.1
# Authen::NTLM can use (Crypt::DES & Digest::MD4) or (Crypt::DES_PP & Digest::Perl::MD4)
# and as a result, rpm's auto-dep-finder doesn't pick them up. Crypt::DES & Digest::MD4
# added as manual deps as (a) they're in Extras already, and (b) they're faster.
Requires:	perl(Crypt::DES) >= 2.03, perl(Digest::MD4) >= 1.1

%description
The NTLM (Windows NT LAN Manager) authentication scheme is the authentication
algorithm used by Microsoft. NTLM authentication scheme is used in DCOM and
HTTP environments. It is used to authenticate DCE RPC packets in DCOM. It is
also used to authenticate HTTP connections to MS Web Proxy or MS Web Server.
Currently, it is the authentication scheme that Internet Explorer uses to
authenticate itself to proxies/web servers that support NTLM.

%prep
%setup -q -n Authen-NTLM-%{version}

# Fix permissions and line-endings
%{__chmod} 644 lib/Authen/NTLM.pm lib/Authen/NTLM/HTTP.pm
%{__sed} -i -e 's,\r$,,' lib/Authen/NTLM.pm lib/Authen/NTLM/HTTP.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type d -depth -exec /bin/rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README
%{perl_vendorlib}/Authen/
%{_mandir}/man3/Authen::NTLM.3pm*
%{_mandir}/man3/Authen::NTLM::HTTP.3pm*

%changelog
* Fri May 12 2006 Paul Howarth <paul@city-fan.org> 0.31-1
- Initial build
